# $Revision: 1.34 $, $Date: 2006/11/26 14:22:24 $
# TODO
# - webapps framework
Summary:	Shaperd - bandwidth limiting
Summary(pl):	Shaperd - dzielenie cza
Name:		shaperd.2
Version:	2.42
Release:	1
License:	GPL
Group:		Networking/Admin
#Source0:	http://sp9wun.republika.pl/prg/%{name}.%{version}.tar.gz
# Changed source to decrease traffic at republika.pl
Source0:	http://www.cbq.trzepak.net/prg/%{name}.%{version}.tar.gz
# Source0-md5:	87191c7772f92ae78bcaa49667de4496
Source1:	%{name}.init
Source2:	%{name}.conf
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-iptables_path.patch
#URL:		http://sp9wun.republika.pl/linux/shaperd_cbq.html
URL:		http://www.cbq.trzepak.net/linux/shaperd_cbq.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	firewall-userspace-tool
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdir		%{_datadir}/%{name}
%define		_sysconfdir	/etc/shaper
%define		_initrddir	/etc/rc.d/init.d
%define		_apache1dir	/etc/apache
%define		_apache2dir	/etc/httpd

%description
This program limits bandwidth on the ethernet/ppp interface and
divides it between the hosts in the local network.

%description -l pl
Program potrafi ogranicza przepustowo interfejsu ethernet/ppp oraz
dzieli dostpne pasmo pomidzy komputery w sieci lokalnej.

%package php
Summary:	PHP script for shaperd
Summary(pl):	Skrypt PHP dla shaperd
Group:		Networking/Admin
Requires:	%{name} = %{version}-%{release}
Requires:	webserver
Requires:	webserver(php)

%description php
PHP script for shaperd.

%description php -l pl
Skrypt PHP dla shaperd.

%prep
%setup -q -n shaperd
%patch0 -p1
%patch1 -p1

%build
%{__make} clean
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},%{_initrddir},/var/lib/shaper,%{_phpdir},/etc/httpd}

install src/shaperd $RPM_BUILD_ROOT%{_sbindir}
install scripts/kto-daemon $RPM_BUILD_ROOT%{_sbindir}
install config/* $RPM_BUILD_ROOT%{_sysconfdir}
install scripts/kto.php $RPM_BUILD_ROOT%{_phpdir}/shaperd.php
install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/shaperd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache-%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add shaperd
%service shaperd restart "shaperd daemon"

%preun
if [ "$1" = "0" ]; then
	%service shaperd stop
	/sbin/chkconfig --del shaperd
fi

%post php
# apache1
if [ -d %{_apache1dir}/conf.d ]; then
	ln -sf %{_sysconfdir}/apache-%{name}.conf %{_apache1dir}/conf.d/99_%{name}.conf
	%service -q apache restart
fi
# apache2
if [ -d %{_apache2dir}/httpd.conf ]; then
	ln -sf %{_sysconfdir}/apache-%{name}.conf %{_apache2dir}/httpd.conf/99_%{name}.conf
	%service -q httpd restart
fi

%preun php
if [ "$1" = "0" ]; then
	# apache1
	if [ -d %{_apache1dir}/conf.d ]; then
		rm -f %{_apache1dir}/conf.d/99_%{name}.conf
		%service -q apache reload
	fi
	# apache2
	if [ -d %{_apache2dir}/httpd.conf ]; then
		rm -f %{_apache2dir}/httpd.conf/99_%{name}.conf
		%service -q httpd reload
	fi
fi

%files
%defattr(644,root,root,755)
%doc doc/shaperd_cbq.html
%doc doc/shaperd_cbq_en.html
%dir %{_sysconfdir}
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/[iqs]*
%attr(755,root,root) %{_sbindir}/shaperd
%attr(754,root,root) %{_initrddir}/shaperd
%dir /var/lib/shaper

%files php
%defattr(644,root,root,755)
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache-%{name}.conf
%dir %{_phpdir}
%attr(755,root,root) %{_sbindir}/kto-daemon
%{_phpdir}/shaperd.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shaperd.2.spec,v $
Revision 1.34  2006/11/26 14:22:24  glen
- rel 1: use php(extension) virtuals

Revision 1.33  2006/09/15 18:06:03  luzik
- updated to 2.42

Revision 1.32  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.31  2006/07/10 12:33:12  aflinta
- up to version 2.2.41

Revision 1.30  2006/03/13 23:14:32  glen
- use %service

Revision 1.29  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.28  2005/03/21 20:13:14  andree
- moved apache1,2 toys to -php package
- rel. 0.11

Revision 1.27  2005/03/21 19:59:13  darekr
- missing dir

Revision 1.26  2005/03/21 19:55:22  andree
- moved _sysconfdir again to /etc/shaper

Revision 1.25  2005/03/21 17:40:41  glen
- _initrd macro; tabs

Revision 1.24  2005/03/21 17:26:42  andree
- fixed _initdir, rel. 0.10

Revision 1.23  2005/03/21 17:17:51  andree
- fixed stupid mistake

Revision 1.22  2005/03/21 17:02:53  andree
- updated post/preun for apache1,2

Revision 1.21  2005/03/20 00:43:50  andree
- updated to 2.2.24
- rel. 0.9 (need tests)

Revision 1.20  2004/11/04 12:12:51  ankry
- spaces -> tabs, other cosmetics

Revision 1.19  2004/11/04 11:40:51  speedo
- moved data files to _datadir
- moved config file to _sysconfdir

Revision 1.18  2004/10/11 09:10:05  paszczus
- added Source0-size

Revision 1.17  2004/05/09 16:52:29  andree
- rel. 2 to rebuild with updated patch1

Revision 1.16  2004/04/12 00:47:45  andree
- added patch1 - del wrong iptables location

Revision 1.15  2004/04/11 23:21:45  paszczus
- fixed pl and en summary

Revision 1.14  2004/04/11 23:16:18  andree
- updated to 2.2.11

Revision 1.13  2004/02/20 14:16:13  qboosh
- cannot use BuildArch, it refers to ALL subpackages built from spec

Revision 1.12  2004/02/20 13:58:15  domelu
- php sub-package: R: webserver, php
- php sub-package: noarch

Revision 1.11  2004/01/26 06:35:02  domelu
- move kto.php script into separate "php" sub-package

Revision 1.10  2003/11/19 00:08:44  undefine
- release 2 to rebuild with ac

Revision 1.9  2003/09/11 10:00:21  ankry
- by domelu

Revision 1.8  2003/08/27 00:16:35  gotar
- fixed changelog trailer

Revision 1.7  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.6  2003/08/05 09:25:43  qboosh
- added fhs patch, moved /var/shaper back to proper place
- use optflags

Revision 1.5  2003/08/04 16:05:21  tiwek
- updated to 2.2.2
- added missing dir
- add docs

Revision 1.4  2003/05/28 13:01:50  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 08:23:34  qboosh
- missing dir
- removed COPYING from doc (just GPL), added changes.txt

Revision 1.1  2003/05/10 16:08:05  djrzulf
- changed name of spec file (TODO request),

Revision 1.9  2003/05/10 16:06:52  djrzulf
- changed Source0 and URL,

Revision 1.8  2003/05/10 16:02:25  djrzulf
- updated to beta61,

Revision 1.7  2003/05/08 22:17:37  qboosh
- use normal __cc not kgcc when compiling user-space daemons; cleanups

Revision 1.6  2003/05/06 19:56:36  undefine
- shaperd works with ipchains too

Revision 1.5  2003/04/15 18:00:31  djrzulf
- updated to beta59,

Revision 1.4  2003/03/17 06:16:18  pbern
- update to beta56

Revision 1.3  2003/02/05 17:37:36  pbern
- update to beta44

Revision 1.2  2003/02/01 08:52:36  pbern
- fix BR

Revision 1.1  2003/02/01 08:45:52  pbern
- old name shaper_cbq
- update to 2-200beta36

Revision 1.1  2003/01/28 09:28:58  djrzulf
- from Adam Piatyszek, not tested yet,
